com.parse

## Interface FindCallback<T extends ParseObject>

    public interface FindCallback<T extends ParseObject>

A `FindCallback` is used to run code after a `ParseQuery` is used to fetch a list of `ParseObject`s in a background thread.

The easiest way to use a `FindCallback` is through an anonymous inner class. Override the `done` function to specify what the callback should do after the fetch is complete. The `done` function will be run in the UI thread, while the fetch happens in a background thread. This ensures that the UI does not freeze while the fetch happens.

For example, this sample code fetches all objects of class `"MyClass"`. It calls a different function depending on whether the fetch succeeded or not.

     ParseQuery<ParseObject> query = ParseQuery.getQuery("MyClass");
     query.findInBackground(new FindCallback<ParseObject>() {
       public void done(List<ParseObject> objects, ParseException e) {
         if (e == null) {
           objectsWereRetrievedSuccessfully(objects);
         } else {
           objectRetrievalFailed();
         }
       }
     });

### Method Summary

Methods
`void` `done(List<T> objects, ParseException e)` Override this function with the code you want to run after the fetch is complete.

### Method Detail

#### done

    void done(List<T> objects,
            ParseException e)

Override this function with the code you want to run after the fetch is complete.

Parameters:
  `objects` - The objects that were retrieved, or null if it did not succeed.
  `e` - The exception raised by the save, or null if it succeeded.